Page MenuHomePhabricator

Make wb_terms table fancy
Closed, ResolvedPublic

Description

This table is 816 GB in production with 1.4 B rows. This has to change.

  • Investigate ways to optimize the table (T188279)
  • Replace term_search_key and term_weight with empty values (T188993)
  • Clean up the code base for term_entity_id (T188995)
  • Drop indexes (T194273 T194270)
  • Drop term_entity_id column
  • Normalize term_type column
  • Normalize term_text column

See also

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2018, 12:47 PM
Ladsgroup updated the task description. (Show Details)Mar 6 2018, 12:48 PM
Ladsgroup updated the task description. (Show Details)
Ladsgroup added a project: DBA.
Ladsgroup moved this task from Triage to Blocked external/Not db team on the DBA board.

Normalize term_text column

Should we normalize the text on its own or the tuple of text and language code? I feel like treating the text and language code as a single unit would make more sense, but I’m not sure if it makes a big difference.

It actually makes a big difference as there are lots of cases when someone adds label for all languages at the same time, for humans. Here's an interesting example.

Ah, good point, I didn’t think about labels :)

jcrespo added a subscriber: jcrespo.Mar 6 2018, 5:48 PM
Ladsgroup updated the task description. (Show Details)May 9 2018, 2:01 PM
Addshore changed the status of subtask T194273: Clean up indexes of wb_terms table from Open to Stalled.Aug 20 2018, 9:37 AM
Addshore changed the task status from Open to Stalled.Aug 30 2018, 10:06 AM
Addshore closed this task as Resolved.Mar 25 2019, 4:21 PM
Addshore claimed this task.
Addshore added a subscriber: Addshore.

All subtasks closed.

See T208425 for the removal of this table

Restricted Application added a project: User-Addshore. · View Herald TranscriptMar 25 2019, 4:22 PM